io.finc File Reference
This graph shows which files directly or indirectly include this file:

## Functions/Subroutines

type(fgsl_file) function | fgsl_open (path, mode)
| fgsl_open maps the POSIX call fopen() to Fortran More...
integer(fgsl_int) function | fgsl_close (fd)
| fgsl_open maps the POSIX call fclose() to Fortran More...
type(fgsl_file) function | fgsl_stdin ()
| fgsl_stdin produces a fgsl_file object corresponding to C standard input More...
type(fgsl_file) function | fgsl_stdout ()
| fgsl_stdout produces a fgsl_file object corresponding to C standard output More...
type(fgsl_file) function | fgsl_stderr ()
| fgsl_stderr produces a fgsl_file object corresponding to C standard error More...
integer(fgsl_int) function | fgsl_flush (file)
| fgsl_flush flushes a fgsl_file object More...
logical function | fgsl_file_status (file)

## Function/Subroutine Documentation

## fgsl_close()

integer(fgsl_int) function fgsl_close | ( | type(fgsl_file), intent(inout) | fd | ) |

fgsl_open maps the POSIX call fclose() to Fortran

Parameters

  fd | - on entry: open file object

Returns
  Status.

## fgsl_file_status()

logical function fgsl_file_status | ( | type(fgsl_file), intent(in) | file | ) |

## fgsl_flush()

integer(fgsl_int) function fgsl_flush | ( | type(fgsl_file), intent(in) | file | ) |

fgsl_flush flushes a fgsl_file object

## fgsl_open()

type(fgsl_file) function fgsl_open | ( | character(kind=fgsl_char, len=*), intent(in) | path,
|  | character(kind=fgsl_char, len=*), intent(in) | mode
| ) |  |

fgsl_open maps the POSIX call fopen() to Fortran

Parameters

  path | - string specifying the path name of the file to be opened
  mode | - string containing the opening mode

Returns
  object of type fgsl_file which can be used in other I/O calls.

## fgsl_stderr()

type(fgsl_file) function fgsl_stderr

fgsl_stderr produces a fgsl_file object corresponding to C standard error

## fgsl_stdin()

type(fgsl_file) function fgsl_stdin

fgsl_stdin produces a fgsl_file object corresponding to C standard input

## fgsl_stdout()

type(fgsl_file) function fgsl_stdout

fgsl_stdout produces a fgsl_file object corresponding to C standard output